This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 873186 - Create Python 3 package
Create Python 3 package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: liblouis (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 914972
  Show dependency treegraph
 
Reported: 2012-11-05 05:06 EST by Joanmarie Diggs
Modified: 2013-04-04 19:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: liblouis-2.5.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 19:53:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joanmarie Diggs 2012-11-05 05:06:34 EST
There is a GNOME Goal to migrate to Python 3 [1] which has just been approved by the Release Team for GNOME 3.8 [2]. Because liblouis is an Orca dependency, it would be extremely helpful to have a Python 3 liblouis package.

Note: The porting has already been done, but the default is still to build with Python 2. But if you build everything with PYTHON=/usr/bin/python3, it should work.

Thanks in advance!

[1] https://live.gnome.org/GnomeGoals/Python3Porting
[2] https://mail.gnome.org/archives/distributor-list/2012-November/msg00000.html
Comment 1 Joanmarie Diggs 2013-02-23 16:08:26 EST
With respect to this item in the context of "need a working Orca for the upcoming F19 live CDs": If you have brltty/brlapi, Orca will output stuff to a refreshable braille display. What it needs liblouis for is something called "contracted" braille. Contracted braille is important and Fedora should provide it. Having said that, it is not an absolute "must-have" for an accessible live CD and Orca treats it as an optional dependency.

The Python 3 version of liblouis is in trunk and works in F18. I've asked for a stable release. But this bug should not be seen as a "hard blocker" to a working Python3-based Orca.
Comment 2 Martin Gieseking 2013-02-26 16:55:02 EST
I've added an additional python3 subpackage to liblouis. I think it's better to keep the Python 2 binding for the time being, and drop it sometime later.
Comment 3 Martin Gieseking 2013-02-26 17:10:21 EST
The rawhide build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5059381
Comment 4 Fedora End Of Life 2013-04-03 15:32:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Kalev Lember 2013-04-04 19:53:56 EDT
Thanks Martin, seems to work fine for Orca's purposes.

Note You need to log in before you can comment on or make changes to this bug.